function err=BestGammaFit2(PA,F1,M1,eA1,eB1,F2,M2,eA2,eB2)
  k1=PA(1);
  a1=PA(2);
  k2=PA(3);
  a2=PA(4);

  H1=ParamMetricCalib4(k1,1,a1,F1,M1,eA1,eB1);
  H2=ParamMetricCalib4(k2,1,a2,F2,M2,eA2,eB2);
  A=H1(:,1)*H1(:,1)'+H1(:,2)*H1(:,2)';
  C=H2(:,1)*H2(:,1)'+H2(:,2)*H2(:,2)';
  B=H1(:,3)*H1(:,3)';
  D=H2(:,3)*H2(:,3)';
  Q=[ ColumnMatrix(A) ColumnMatrix(B) ColumnMatrix(C) ColumnMatrix(D) ];
  [U,S,V]=svd(Q'*Q);
  g1=sqrt(abs(V(2,4)/V(1,4)));
  g2=sqrt(abs(V(4,4)/V(3,4)));
  
  H1(:,3)=H1(:,3)*g1;
  H2(:,3)=H2(:,3)*g2;
  
  W1=H1(:,1)*H1(:,1)'+H1(:,2)*H1(:,2)'+H1(:,3)*H1(:,3)';
  W2=H2(:,1)*H2(:,1)'+H2(:,2)*H2(:,2)'+H2(:,3)*H2(:,3)';
  W1=W1/MatrixNorm(W1);
  W2=W2/MatrixNorm(W2);

%  err=-abs(W1(1,1)*W2(1,1)+W1(1,2)*W2(1,2)+W1(1,3)*W2(1,3)+...
%      W1(2,1)*W2(2,1)+W1(2,2)*W2(2,2)+W1(2,3)*W2(2,3)+...
%      W1(3,1)*W2(3,1)+W1(3,2)*W2(3,2)+W1(3,3)*W2(3,3));
  K1=inv(chol(inv(W1)));
  K2=inv(chol(inv(W2)));
  K1=K1/MatrixNorm(K1);
  K2=K2/MatrixNorm(K2);
  W1=K1;
  W2=K2;
  err=-abs(W1(1,1)*W2(1,1)+W1(1,2)*W2(1,2)+W1(1,3)*W2(1,3)+...
      W1(2,1)*W2(2,1)+W1(2,2)*W2(2,2)+W1(2,3)*W2(2,3)+...
      W1(3,1)*W2(3,1)+W1(3,2)*W2(3,2)+W1(3,3)*W2(3,3));


  if (abs(g1)>10),
%    err=err-(exp(abs(g1)-10)-1);
    err=0;
  end

  if (abs(g2)>10),
%    err=err-(exp(abs(g2)-10)-1);
    err=0;
  end

