function err=TabMinFunc(t,F,eAB_A,h1,h3,mu,L23)
  h2=(1-t)*h3+t*mu;
  h2=h2/h2(3);
  L12=cross(h1,h2);

  %% can now find [a] Tab:  use L12, h3, and F

  %% Tab'*L12 == L12
  %% Tab * h3 == h3

  p1=[ 6.24532 1.213213 1 ]';
  p2=[ -9.2131324 2.674213 1]';
  a1=cross(p1,eAB_A);
  a2=cross(p2,eAB_A);
  b1=F*p1;
  b2=F*p2;
  %% thus Tab'*bi == ai

  M=TabLineMatch(L12,L12);
  M=[M; TabLineMatch(a1,b1)];
  M=[M; TabLineMatch(a2,b2)];
  M=[M; TabDirectionMatch(h3,h3)];

  M=M'*M;
  [U,S,V]=svd(M);
  Tab=[ V(1:3,9)'; V(4:6,9)'; V(7:9,9)' ];
  [D,S]=eig(Tab);
  R=(S-conj(S))/2;
  if R(1,1)==0
    angle=asin(-i*R(2,2));
  else
    angle=asin(-i*R(1,1));
  end
  S=S*conj(S);
  S=S/S(1,1);
  err=[abs(abs(S(1,1))-abs(S(2,2)))+abs(abs(S(1,1))-abs(S(3,3)))+abs(abs(S(2,2))-abs(S(3,3))), angle];

