syms a b c d e f g h i real
syms u v w x y z real

T=[a b c; d e f; g h i];   %% Tba

%% We're assuming the rectification has already been done.
%% Corresponding points *have* a z component, which has been
%% divided out already (projecting the point onto the image plane).

qB=[u y 1]';     %% 2nd components are equal due to rectification.
pA=[x y 1]';

qA=T*qB;
qAyz=qA;
qAyz(1,1)=0

pAyz=pA;
pAyz(1,1)=0;

%% we know qAyz =' pAyz  (they are colinear)
%% Hence the following is 0:

expand(pAyz(2,1)*qAyz(3,1) - qAyz(2,1))

%% This is true for each of p^(i), q^(i) pairs.  Hence we should
%% be able to solve for d,e,f,g,h,i


%% M=[-u -y -1 u*y y*y y; ... ];
%% S=[ d e f g h i ]';
%%
%% M*S == 0
%%
%% solve for S (least squares...)
%%
%% unfortunately, e=i=1 is always a solution, so we've learned nothing!

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




