function [g1,g2]=BestGamma(PA,F1,M1,eA1,eB1,F2,M2,eA2,eB2)
  k1=PA(1);
  a1=PA(2);
  k2=PA(3);
  a2=PA(4);

  H1=ParamMetricCalib4(k1,1,a1,F1,M1,eA1,eB1);
  H2=ParamMetricCalib4(k2,1,a2,F2,M2,eA2,eB2);
  A=H1(:,1)*H1(:,1)'+H1(:,2)*H1(:,2)';
  C=H2(:,1)*H2(:,1)'+H2(:,2)*H2(:,2)';
  B=H1(:,3)*H1(:,3)';
  D=H2(:,3)*H2(:,3)';
  Q=[ ColumnMatrix(A) ColumnMatrix(B) ColumnMatrix(C) ColumnMatrix(D) ];
  [U,S,V]=svd(Q'*Q);
  g1=sqrt(abs(V(2,4)/V(1,4)));
  g2=sqrt(abs(V(4,4)/V(3,4)));
