function err=F1(k,gamma,F,M,eA,eB,pA,pB)

H=ParamMetricCalib2(k,gamma,F,M,eA,eB);

h1=H(:,1);
h2=H(:,2);
h3=H(:,3);

L12=cross(h1,h2);
L12=L12/norm(L12);

p1=[ 6.24532 1.213213 1 ]';
p2=[ -9.2131324 2.674213 1]';
a1=cross(p1,eA);
a2=cross(p2,eA);
b1=F*p1;
b2=F*p2;
%% thus Tab'*bi == ai
a1=a1/norm(a1);
b1=b1/norm(b1);
a2=a2/norm(a2);
b2=b2/norm(b2);

M=TabLineMatch(L12,L12);
M=[M; TabLineMatch(a1,b1)];
M=[M; TabLineMatch(a2,b2)];
M=[M; TabDirectionMatch(h3,h3)];

M=M'*M;
[U,S,V]=svd(M);
Tab=[ V(1:3,9)'; V(4:6,9)'; V(7:9,9)' ];

ppB=Tab*pA;
ppB=ppB/norm(ppB);
pB=pB/norm(pB);
err=norm(cross(ppB, pB));

if MatrixNorm((H-conj(H))*i)>0,
  err=100;
end


