K1=[10 3 -4;
     0 11 2;
     0  0 1 ];

K2=[3 0 1;
    0 5 2;
    0 0 1 ];

K3=[1 .1 3;
    0 1.2 -5;
    0  0 1 ];

K4=[4 .7 1;
    0 3.2 -1;
    0  0 1 ];

a1=[ 4 1 2 ];
a2=[ 7 1 3 ];
a3=[ 3 5 1 ];
a4=[ -1 2 3];

T1E=[ inv(K1); a1 ];
T1E(1,4)=0;
T1E(2,4)=0;
T1E(3,4)=0;
T1E(4,4)=1;

T2E=[ inv(K2); a2 ];
T2E(1,4)=0;
T2E(2,4)=0;
T2E(3,4)=0;
T2E(4,4)=1;

T3E=[ inv(K3); a3 ];
T3E(1,4)=0;
T3E(2,4)=0;
T3E(3,4)=0;
T3E(4,4)=1;

T4E=[ inv(K4); a4 ];
T4E(1,4)=0;
T4E(2,4)=0;
T4E(3,4)=0;
T4E(4,4)=1;

thxx=pi*0.4;
thyy=pi*0.6;
thzz=pi*0.1;

Rz=[cos(thzz) -sin(thzz) 0;
     sin(thzz)  cos(thzz) 0;
             0          0 1 ];

Ry=[ cos(thyy) 0 -sin(thyy)  ;
             0 1          0  ;
     sin(thyy) 0  cos(thyy) ];

Rx=[  1         0         0    ;
      0 cos(thxx) -sin(thxx)   ;
      0 sin(thxx)  cos(thxx)  ];

R12=Rx*Ry*Rx*Rz;
R13=Rz*Rz*Ry*Rx;
%%R23=Ry*Rx*Rz*Ry*Rx*Rz*Rx;
R23=R13*inv(R12);
R24=Ry*Ry*Rz*Rx*Ry;

t12=[5 -1 -2]';
t13=[0 -3 9]';
%%t23=[-1 7 8]';
t23=t13-t12;
t24=[2 -2 1]';

M12=[R12 t12; 0 0 0 1];
M13=[R13 t13; 0 0 0 1];
%%M23=[R23 t23; 0 0 0 1];
M23=M13*inv(M12);
M24=[R24 t24; 0 0 0 1];

T12 = inv(T2E) * M12 * T1E;
T13 = inv(T3E) * M13 * T1E;
T23 = inv(T3E) * M23 * T2E;
T24 = inv(T4E) * M24 * T2E;

T21 = inv(T12);
T31 = inv(T13);
T32 = inv(T23);
T42 = inv(T24);




%% should be 0
 M12(:,1)'*M12(:,2)


%% should be 0
 [a2 1]*T12 - [a1 1]
 [a3 1]*T13 - [a1 1]
 [a3 1]*T23 - [a2 1]




%% given T12, T13, T23, can a1,a2,a3 be found???

bb12=T12(1:3,4);
bb13=T13(1:3,4);
bb23=T23(1:3,4);
bb24=T24(1:3,4);

aa12=T12(4,1:3);
aa13=T13(4,1:3);
aa23=T23(4,1:3);
aa24=T24(4,1:3);

gg12=T12(4,4);
gg13=T13(4,4);
gg23=T23(4,4);
gg24=T24(4,4);

bb21=T21(1:3,4);
bb31=T31(1:3,4);
bb32=T32(1:3,4);
bb42=T42(1:3,4);

aa21=T21(4,1:3);
aa31=T31(4,1:3);
aa32=T32(4,1:3);
aa42=T42(4,1:3);

gg21=T21(4,4);
gg31=T31(4,4);
gg32=T32(4,4);
gg42=T42(4,4);

H12=T12(1:3,1:3);
H13=T13(1:3,1:3);
H23=T23(1:3,1:3);
H24=T24(1:3,1:3);
H21=T21(1:3,1:3);
H31=T31(1:3,1:3);
H32=T32(1:3,1:3);
H42=T42(1:3,1:3);

I=[1 0 0; 0 1 0; 0 0 1];


%% should be 0
a2*bb12+gg12-1
a2*bb32+gg32-1
a2*(H12*H31*H23-I)+aa12*H31*H23+aa31*H23+aa23



x=aa12*H31*H23+aa31*H23+aa23;
Q=H12*H31*H23-I;


%% should be 0 if Q is invertible
%(-x)*inv(Q) - a2
%% Q is not invertible



%% should be identity
T31*T23*T12



%% below worked, using four views
Q=[bb12 bb32 bb42];
x=[gg12-1 gg32-1 gg42-1];
(-x)*inv(Q)




(a2*H12+aa12)*bb31+gg31-1
(a2*H32+aa32)*bb13+gg13-1

a2*H12*bb31+aa12*bb31+gg31-1
a2*H32*bb13+aa32*bb13+gg13-1

a2*bb12+gg12-1
a2*bb32+gg32-1

Q=[bb12  bb32  H12*bb31];
x=[gg12-1  gg32-1  aa12*bb31+gg31-1];
%%a2*Q+x==0
%%Q is not invertible












%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


W=[   1   4   6   1;
     11   5 -13   1;
     -1  -2   1   1;
      5   2   0   1;
     -4  -1  -7   1;
     -9   4   2   1;
      7   9  -7   1;
      5 -12  -2   1;
     -3   0   1   1;
      4   1  -9   1;
     11  -4  10   1;
     -5   5  15   1;
    -14  -4 -11   1;
      2  -9   6   1;
     -2  13   2   1;
    -16  -1  -1   1;
      8  17  -3   1  ]';

cenA=[2 1 -8]';
cenB=[-3 2 -7]';
cenC=[5 4 1]';
cenD=[7 -9 7]';

Ka=[10 3 -4;
     0 11 2;
     0  0 1 ];

Kb=[3 0 1;
    0 5 2;
    0 0 1 ];

Kc=[1 .1 3;
    0 1.2 -5;
    0  0 1 ];

Kd=[4 .7 1;
    0 3.2 -1;
    0  0 1 ];

thxx=pi*0.4;
thyy=pi*0.6;
thzz=pi*0.1;

Rz=[cos(thzz) -sin(thzz) 0;
     sin(thzz)  cos(thzz) 0;
             0          0 1 ];

Ry=[ cos(thyy) 0 -sin(thyy)  ;
             0 1          0  ;
     sin(thyy) 0  cos(thyy) ];

Rx=[  1         0         0    ;
      0 cos(thxx) -sin(thxx)   ;
      0 sin(thxx)  cos(thxx)  ];

rotA=Rx*Ry*Rx*Rz;
rotB=Rz*Rz*Ry*Rx;
rotC=Ry*Rx*Rz*Ry*Rx*Rz*Rx;
rotD=Ry*Ry*Rz*Rx*Ry;

PIa=Ka*rotA; PIa(:,4)=-Ka*rotA*cenA;
PIb=Kb*rotB; PIb(:,4)=-Kb*rotB*cenB;
PIc=Kc*rotC; PIc(:,4)=-Kc*rotC*cenC;
PId=Kd*rotD; PId(:,4)=-Kd*rotD*cenD;

Wa=PIa*W;
Wa(1,:)=Wa(1,:)./Wa(3,:);
Wa(2,:)=Wa(2,:)./Wa(3,:);
Wa(3,:)=Wa(3,:)./Wa(3,:);

Wb=PIb*W;
Wb(1,:)=Wb(1,:)./Wb(3,:);
Wb(2,:)=Wb(2,:)./Wb(3,:);
Wb(3,:)=Wb(3,:)./Wb(3,:);

Wc=PIc*W;
Wc(1,:)=Wc(1,:)./Wc(3,:);
Wc(2,:)=Wc(2,:)./Wc(3,:);
Wc(3,:)=Wc(3,:)./Wc(3,:);

Wd=PId*W;
Wd(1,:)=Wd(1,:)./Wd(3,:);
Wd(2,:)=Wd(2,:)./Wd(3,:);
Wd(3,:)=Wd(3,:)./Wd(3,:);

eAB=cenB-cenA;
eAB_B=PIb*[eAB; 0];
eAB_A=PIa*[eAB; 0];
eAB_cp=[          0  -eAB_B(3,1)  eAB_B(2,1);
          eAB_B(3,1)           0 -eAB_B(1,1);
         -eAB_B(2,1)  eAB_B(1,1)           0  ];
Fab=eAB_cp*PIb(1:3,1:3)*inv(PIa(1:3,1:3));

eAC=cenC-cenA;
eAC_C=PIc*[eAC; 0];
eAC_A=PIa*[eAC; 0];
eAC_cp=[          0  -eAC_C(3,1)  eAC_C(2,1);
          eAC_C(3,1)           0 -eAC_C(1,1);
         -eAC_C(2,1)  eAC_C(1,1)           0  ];
Fac=eAC_cp*PIc(1:3,1:3)*inv(PIa(1:3,1:3));

eAD=cenD-cenA;
eAD_D=PId*[eAD; 0];
eAD_A=PIa*[eAD; 0];
eAD_cp=[          0  -eAD_D(3,1)  eAD_D(2,1);
          eAD_D(3,1)           0 -eAD_D(1,1);
         -eAD_D(2,1)  eAD_D(1,1)           0  ];
Fad=eAD_cp*PId(1:3,1:3)*inv(PIa(1:3,1:3));



%% should be 0
diag(Wb'*Fab*Wa)
diag(Wc'*Fac*Wa)
diag(Wd'*Fad*Wa)


Mab=eAB_cp*Fab+[eAB_B, [0;0;0], [0;0;0] ];
Mac=eAC_cp*Fac;
Mad=eAD_cp*Fad;


%% should be 0
XXX=eAB_cp*Mab;
Fab/Fab(1,1)-XXX/XXX(1,1)


dum=Mab*eAB_A;
dum/dum(1,1)-eAB_B/eAB_B(1,1)


syms a b c real

Tab=simplify(Mab+a*[eAB_B, [0;0;0], [0;0;0] ]+b*[ [0;0;0], eAB_B, [0;0;0] ]+ c*[ [0;0;0], [0;0;0], eAB_B ])


%% below is 0 ==> no information
m1=Tab*eAB_A;
m1(1,1)*eAB_B(2,1)-m1(2,1)*eAB_B(1,1)


p1_B=[6.12747 1.91248 9.1723]';
perp1_B=eAB_cp*p1_B;
perp1_A=Fab'*p1_B;

p2_B=[7.9123 -1.13894 9.91348]';
perp2_B=eAB_cp*p2_B;
perp2_A=Fab'*p2_B;


m1=Tab'*perp1_B;
line1=m1(1,1)*perp1_A(2,1)-m1(2,1)*perp1_A(1,1) + m1(1,1)*perp1_A(3,1)-m1(3,1)*perp1_A(1,1)

m2=Tab'*perp2_B;
line2=m2(1,1)*perp2_A(2,1)-m2(2,1)*perp2_A(1,1) + m2(1,1)*perp2_A(3,1)-m2(3,1)*perp2_A(1,1)




m1=Tab'*perp1_B;
line1=m1(1,1)*perp1_A(2,1)-m1(2,1)*perp1_A(1,1);

m2=Tab'*perp2_B;
line2=m2(1,1)*perp2_A(2,1)-m2(2,1)*perp2_A(1,1);





cou1=subs(line1,{a,b,c},{0,0,0});
coa1=subs(line1,{a,b,c},{1,0,0})-cou1;
cob1=subs(line1,{a,b,c},{0,1,0})-cou1;

cou2=subs(line2,{a,b,c},{0,0,0});
coa2=subs(line2,{a,b,c},{1,0,0})-cou2;
cob2=subs(line2,{a,b,c},{0,1,0})-cou2;

[coa1 cob1; coa2 cob2]




%%%%%

trueTab=PIb(1:3,1:3)*inv(PIa(1:3,1:3));

Qa1=[-3.3 7.123 1.213]';
Qb1=4*trueTab*Qa1;

Qa2=[1.758 12.124 17.567]';
Qb2=-2*trueTab*Qa2;

Qa3=[-6.123 -5.234 11.231]';
Qb3=-2.23*trueTab*Qa3;

Qa4=[9.213 -7.123 -9.2737]';
Qb4=3.93423*trueTab*Qa4;


p1_B=[6.12747 1.91248 9.1723]';
perp1_B=eAB_cp*p1_B;
perp1_A=8.2173*Fab'*p1_B;

p2_B=[7.9123 -1.13894 9.91348]';
perp2_B=eAB_cp*p2_B;
perp2_A=-1.283*Fab'*p2_B;

p3_B=[2.1237 -8.21334 3.12833]';
perp3_B=p3_B;
perp3_A=2.354*trueTab'*perp3_B;

p4_B=[3.1232 5.54374 -2.98933]';
perp4_B=p4_B;
perp4_A=8.213*trueTab'*perp4_B;


%syms a b c d e f g h k real
%syms X Y Z real
%syms U V W real

%T=[a b c; d e f; g h k];
%T*[X Y Z]'

%M=[ px*qy  py*qy  pz*qy -qx*px -qx*py -qx*pz      0      0      0 ;
%    px*qz  py*qz  pz*qz      0      0      0 -qx*px -qx*py -qx*pz ;

%py*qx -px*qx 0 py*qy -px*qy 0 py*qz -px*qz 0
%pz*qx 0 -px*qx pz*qy 0 -px*qy pz*qz 0 -px*qz


%% 2 conj. dir, 2 conj. planes
p1=Qa1;     q1=Qb1;
p2=Qa2;     q2=Qb2;
p3=perp1_A; q3=perp1_B;
p4=perp3_A; q4=perp3_B;

%% 1 conj. dir, 3 conj. planes
p1=Qa1;     q1=Qb1;
p2=perp3_A; q2=perp3_B;
p3=perp1_A; q3=perp1_B;
p4=perp2_A; q4=perp2_B;

%% 3 conj. dir, 1 conj. plane (not contain epi)
p1=Qa1;     q1=Qb1;
p2=Qa2;     q2=Qb2;
p3=Qa3;     q3=Qb3;
p4=perp3_A; q4=perp3_B;

%% 3 conj. dir, 1 conj. plane (contain epi)
p1=Qa1;     q1=Qb1;
p2=Qa2;     q2=Qb2;
p3=Qa3;     q3=Qb3;
p4=perp2_A; q4=perp2_B;

%% 3 conj. dir, 1 conj. plane (contain epi)
p1=Qa1;     q1=Qb1;
p2=eAB_A;   q2=eAB_B;
p3=Qa3;     q3=Qb3;
p4=perp2_A; q4=perp2_B;

%% 0 conj. dir, 4 conj. planes (contain epi)
p1=perp1_A; q1=perp1_B;
p2=perp2_A; q2=perp2_B;
p3=perp3_A; q3=perp3_B;
p4=perp4_A; q4=perp4_B;

%% 2 conj. dir, 2 conj. planes
p1=Qa1;      q1=Qb1;
%%p2=eAB_A;   q2=eAB_B;
p2=Qa2;     q2=Qb2;
%p2=perp3_A; q2=perp3_B;
p3=perp1_A; q3=perp1_B;
%p4=perp2_A; q4=perp2_B;
p4=perp3_A; q4=perp3_B;

px1=p1(1,1); py1=p1(2,1); pz1=p1(3,1);
qx1=q1(1,1); qy1=q1(2,1); qz1=q1(3,1);
px2=p2(1,1); py2=p2(2,1); pz2=p2(3,1);
qx2=q2(1,1); qy2=q2(2,1); qz2=q2(3,1);
px3=p3(1,1); py3=p3(2,1); pz3=p3(3,1);
qx3=q3(1,1); qy3=q3(2,1); qz3=q3(3,1);
px4=p4(1,1); py4=p4(2,1); pz4=p4(3,1);
qx4=q4(1,1); qy4=q4(2,1); qz4=q4(3,1);


M=[ px1*qy1  py1*qy1  pz1*qy1 -qx1*px1 -qx1*py1 -qx1*pz1        0        0        0 ;
    px1*qz1  py1*qz1  pz1*qz1        0        0        0 -qx1*px1 -qx1*py1 -qx1*pz1 ;
    px2*qy2  py2*qy2  pz2*qy2 -qx2*px2 -qx2*py2 -qx2*pz2        0        0        0 ;
    px2*qz2  py2*qz2  pz2*qz2        0        0        0 -qx2*px2 -qx2*py2 -qx2*pz2 ;
    py3*qx3 -px3*qx3        0  py3*qy3 -px3*qy3        0  py3*qz3 -px3*qz3        0 ;
    pz3*qx3        0 -px3*qx3  pz3*qy3        0 -px3*qy3  pz3*qz3        0 -px3*qz3 ;
    py4*qx4 -px4*qx4        0  py4*qy4 -px4*qy4        0  py4*qz4 -px4*qz4        0 ;
    pz4*qx4        0 -px4*qx4  pz4*qy4        0 -px4*qy4  pz4*qz4        0 -px4*qz4   ];

M=[ px1*qy1  py1*qy1  pz1*qy1 -qx1*px1 -qx1*py1 -qx1*pz1        0        0        0 ;
    px1*qz1  py1*qz1  pz1*qz1        0        0        0 -qx1*px1 -qx1*py1 -qx1*pz1 ;
    py2*qx2 -px2*qx2        0  py2*qy2 -px2*qy2        0  py2*qz2 -px2*qz2        0 ;
    pz2*qx2        0 -px2*qx2  pz2*qy2        0 -px2*qy2  pz2*qz2        0 -px2*qz2 ;
    py3*qx3 -px3*qx3        0  py3*qy3 -px3*qy3        0  py3*qz3 -px3*qz3        0 ;
    pz3*qx3        0 -px3*qx3  pz3*qy3        0 -px3*qy3  pz3*qz3        0 -px3*qz3 ;
    py4*qx4 -px4*qx4        0  py4*qy4 -px4*qy4        0  py4*qz4 -px4*qz4        0 ;
    pz4*qx4        0 -px4*qx4  pz4*qy4        0 -px4*qy4  pz4*qz4        0 -px4*qz4   ];

M=[ px1*qy1  py1*qy1  pz1*qy1 -qx1*px1 -qx1*py1 -qx1*pz1        0        0        0 ;
    px1*qz1  py1*qz1  pz1*qz1        0        0        0 -qx1*px1 -qx1*py1 -qx1*pz1 ;
    px2*qy2  py2*qy2  pz2*qy2 -qx2*px2 -qx2*py2 -qx2*pz2        0        0        0 ;
    px2*qz2  py2*qz2  pz2*qz2        0        0        0 -qx2*px2 -qx2*py2 -qx2*pz2 ;
    px3*qy3  py3*qy3  pz3*qy3 -qx3*px3 -qx3*py3 -qx3*pz3        0        0        0 ;
    px3*qz3  py3*qz3  pz3*qz3        0        0        0 -qx3*px3 -qx3*py3 -qx3*pz3 ;
    py4*qx4 -px4*qx4        0  py4*qy4 -px4*qy4        0  py4*qz4 -px4*qz4        0 ;
    pz4*qx4        0 -px4*qx4  pz4*qy4        0 -px4*qy4  pz4*qz4        0 -px4*qz4   ];

M=[ py1*qx1 -px1*qx1        0  py1*qy1 -px1*qy1        0  py1*qz1 -px1*qz1        0 ;
    pz1*qx1        0 -px1*qx1  pz1*qy1        0 -px1*qy1  pz1*qz1        0 -px1*qz1 ;
    py2*qx2 -px2*qx2        0  py2*qy2 -px2*qy2        0  py2*qz2 -px2*qz2        0 ;
    pz2*qx2        0 -px2*qx2  pz2*qy2        0 -px2*qy2  pz2*qz2        0 -px2*qz2 ;
    py3*qx3 -px3*qx3        0  py3*qy3 -px3*qy3        0  py3*qz3 -px3*qz3        0 ;
    pz3*qx3        0 -px3*qx3  pz3*qy3        0 -px3*qy3  pz3*qz3        0 -px3*qz3 ;
    py4*qx4 -px4*qx4        0  py4*qy4 -px4*qy4        0  py4*qz4 -px4*qz4        0 ;
    pz4*qx4        0 -px4*qx4  pz4*qy4        0 -px4*qy4  pz4*qz4        0 -px4*qz4   ];



%% M*Tab==0

%% following should be 0
NN=[trueTab(1,1:3) trueTab(2,1:3) trueTab(3,1:3) ]'
M*NN

format long
[U,S,V]=svd(M'*M);
diag(S)
trueTab/trueTab(1,1)
V(:,9)/V(1,9)




%%%%

p1=Qa1;     q1=Qb1;
p2=Qa2;     q2=Qb2;
p3=Qa3;     q3=Qb3;
p4=Qa4;     q4=Qb4;

px1=p1(1,1); py1=p1(2,1); pz1=p1(3,1);
qx1=q1(1,1); qy1=q1(2,1); qz1=q1(3,1);
px2=p2(1,1); py2=p2(2,1); pz2=p2(3,1);
qx2=q2(1,1); qy2=q2(2,1); qz2=q2(3,1);
px3=p3(1,1); py3=p3(2,1); pz3=p3(3,1);
qx3=q3(1,1); qy3=q3(2,1); qz3=q3(3,1);
px4=p4(1,1); py4=p4(2,1); pz4=p4(3,1);
qx4=q4(1,1); qy4=q4(2,1); qz4=q4(3,1);

M=[ px1*qy1  py1*qy1  pz1*qy1 -qx1*px1 -qx1*py1 -qx1*pz1        0        0        0 ;
    px1*qz1  py1*qz1  pz1*qz1        0        0        0 -qx1*px1 -qx1*py1 -qx1*pz1 ;
    px2*qy2  py2*qy2  pz2*qy2 -qx2*px2 -qx2*py2 -qx2*pz2        0        0        0 ;
    px2*qz2  py2*qz2  pz2*qz2        0        0        0 -qx2*px2 -qx2*py2 -qx2*pz2 ;
    px3*qy3  py3*qy3  pz3*qy3 -qx3*px3 -qx3*py3 -qx3*pz3        0        0        0 ;
    px3*qz3  py3*qz3  pz3*qz3        0        0        0 -qx3*px3 -qx3*py3 -qx3*pz3 ;
    px4*qy4  py4*qy4  pz4*qy4 -qx4*px4 -qx4*py4 -qx4*pz4        0        0        0 ;
    px4*qz4  py4*qz4  pz4*qz4        0        0        0 -qx4*px4 -qx4*py4 -qx4*pz4   ];


%% M*Tab==0

%% following should be 0
NN=[trueTab(1,1:3) trueTab(2,1:3) trueTab(3,1:3) ]'
M*NN

format long
[U,S,V]=svd(M'*M);
diag(S)
trueTab/trueTab(1,1)
V(:,9)/V(1,9)




