function [H,th]=ParamMetricCalib2(k,gamma,F,M,eA,eB)

%F=F/MatrixNorm(F);
Fp=(F+F')/2;
Fm=(F-F')/2;
mu=[Fm(3,2) Fm(1,3) Fm(2,1)]';

%% M and eA,eB could be found here...

h3=inv(k*eye(3)-M)*eB;
h3=h3/norm(h3);

h1=cross(Fp*mu,Fp*h3);
h1=h1/norm(h1);

Q=[ Fp*h1, -Fm*h3 ];
[U,S,V]=svd(Q'*Q);
invk1=V(1,2);
invk3gamma=V(2,2);
invk1*Fp*h1-invk3gamma*Fm*h3

%Q=[ Fp*h3, -invk1*cross(h1,h3) ];
%[U,S,V]=svd(Q'*Q);
%th=acos(1-V(2,2)/V(1,2));
%th

%h2=(mu-invk3gamma*cos(th)*h3)/sin(th);



invk3=invk3gamma/gamma;

hh1=invk1*h1;
hh2=h2;
hh3=invk3*h3;

H=[hh1 hh2 hh3];

