function err=TabMinFunc2(V,F,eAB_A,mu,pa,pb,lo,hi)

t=V(1);
r=V(2);
  
b=(1-r)*hi+r*lo;
%if (H1*b*b+H2*b+H3<0),
%  b=hi;
%end

Fp=F+F';
Fp=Fp/MatrixNorm(Fp);
A=Fp(1,1);
B=Fp(1,2);
C=Fp(1,3);
D=Fp(2,2);
E=Fp(2,3);

G1=A;
G2=2*B*b+2*C;
G3=D*b*b+2*E*b+Fp(3,3);
if (G2*G2-4*G1*G3<0),
  b=hi;
  G2=2*B*b+2*C;
  G3=D*b*b+2*E*b+Fp(3,3);
end
a1=(-G2+sqrt(G2*G2-4*G1*G3))/(2*G1);
a2=(-G2-sqrt(G2*G2-4*G1*G3))/(2*G1);

%h3=[a1 b 1]';	%% could also use a2 here
h3=[a2 b 1]';	%% could also use a2 here
%h3'*Fp*h3	%% == 0

h1=cross(Fp*mu,Fp*h3);
h1=h1/h1(3);





  h2=(1-t)*h3+t*mu;
  h2=h2/h2(3);
  L12=cross(h1,h2);

  %% can now find [a] Tab:  use L12, h3, and F

  %% Tab'*L12 == L12
  %% Tab * h3 == h3

  p1=[ 6.24532 1.213213 1 ]';
  p2=[ -9.2131324 2.674213 1]';
  a1=cross(p1,eAB_A);
  a2=cross(p2,eAB_A);
  b1=F*p1;
  b2=F*p2;
  %% thus Tab'*bi == ai

  M=TabLineMatch(L12,L12);
  M=[M; TabLineMatch(a1,b1)];
  M=[M; TabLineMatch(a2,b2)];
  M=[M; TabDirectionMatch(h3,h3)];
  M=[M; TabDirectionMatch(pa,pb)];

  M=M'*M;
  [U,S,V]=svd(M);
  Tab=[ V(1:3,9)'; V(4:6,9)'; V(7:9,9)' ];
  [D,S]=eig(Tab);
  S=S/S(3,3);
  R=(S-conj(S))/2;
  if R(1,1)==0
    angle=asin(-i*R(2,2));
  else
    angle=asin(-i*R(1,1));
  end
  S=S*conj(S);
  S=S/S(1,1);
%  err=[abs(abs(S(1,1))-abs(S(2,2)))+abs(abs(S(1,1))-abs(S(3,3)))+abs(abs(S(2,2))-abs(S(3,3))), angle];
%  if (R(1,1)==0) & (R(2,2)==0) & (R(3,3)==0),
%    err=[1000, -1];
%  end
  err=abs(abs(S(1,1))-abs(S(2,2)))+abs(abs(S(1,1))-abs(S(3,3)))+abs(abs(S(2,2))-abs(S(3,3)));
%  if (R(1,1)==0) & (R(2,2)==0) & (R(3,3)==0),
%    err=1000;
%  end


